## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-jupyterlab-server
Version:        2.27.3
Release:        %autorelease
Summary:        A set of server components for JupyterLab and JupyterLab like applications
License:        BSD-3-Clause
URL:            https://jupyterlab-server.readthedocs.io
Source:         %{pypi_source jupyterlab_server}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
JupyterLab Server sits between JupyterLab and Jupyter Server, and provides
a set of REST API handlers and utilities that are used by JupyterLab.
It is a separate project in order to accommodate creating JupyterLab-like
applications from a more limited scope.}


%description %_description

%package -n     python3-jupyterlab-server
Summary:        %{summary}

%description -n python3-jupyterlab-server %_description


%prep
%autosetup -p1 -n jupyterlab_server-%{version}
# jupyterlab-server[openapi] and its tests depend on this chain:
# - openapi_core
#   - pathable
#   - jsonschema-spec
#   - openapi-spec-validator
#     - jsonschema-spec
#       - pathable
sed -i '/"openapi-spec-validator/d' pyproject.toml
sed -i '/"openapi_core/d' pyproject.toml
sed -i '/"jupyterlab_server\[openapi\]/d' pyproject.toml
# Remove also coverage deps from tests
sed -i '/"pytest-cov/d' pyproject.toml
sed -i '/"codecov/d' pyproject.toml
# Remove hatch dep tests; only needed for invoking them with "hatch run"
sed -i '/"hatch\b/d' pyproject.toml
# Remove limit from pytest version
sed -i '/pytest/s/,<8//' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jupyterlab_server


%check
# We need to skip some tests to run them without openapi_core
# test_which uses unversioned python command
# test_process_app timeouts in COPR
%pytest -Wdefault \
        --ignore=tests/test_{labapp,listings_api,settings_api,themes_api,translation_api,workspaces_api}.py \
        -k "not test_which and not test_process_app"

%files -n python3-jupyterlab-server -f %{pyproject_files}
%doc README.md

%pyproject_extras_subpkg -n python3-jupyterlab-server test

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.27.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.27.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Lumir Balhar <lbalhar@redhat.com> - 2.27.3-1
- Update to 2.27.3 (rhbz#2298236)

* Mon Jun 10 2024 Python Maint <python-maint@redhat.com> - 2.27.2-2
- Rebuilt for Python 3.13

* Wed May 22 2024 Lumir Balhar <lbalhar@redhat.com> - 2.27.2-1
- Update to 2.27.2 (rhbz#2282683)

* Tue Apr 23 2024 Lumir Balhar <lbalhar@redhat.com> - 2.27.1-1
- Update to 2.27.1 (rhbz#2276381)

* Fri Apr 12 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.26.0-4
- Remove hatch from the test dependencies

* Mon Apr 08 2024 Lumír Balhar <lbalhar@redhat.com> - 2.26.0-1
- Update to 2.26.0 (rhbz#2273954)

* Mon Mar 11 2024 Lumír Balhar <lbalhar@redhat.com> - 2.25.4-1
- Update to 2.25.4 (rhbz#2269021)

* Fri Feb 16 2024 Lumír Balhar <lbalhar@redhat.com> - 2.25.3-1
- Update to 2.25.3 (rhbz#2264304)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.25.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.25.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Lumír Balhar <lbalhar@redhat.com> - 2.25.2-1
- Update to 2.25.2 (rhbz#2238576)

* Wed Aug 02 2023 Lumír Balhar <lbalhar@redhat.com> - 2.24.0-1
- Update to 2.24.0 (rhbz#2224993)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.23.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 10 2023 Lumír Balhar <lbalhar@redhat.com> - 2.23.0-1
- Update to 2.23.0 (rhbz#2214526)

* Tue Jul 04 2023 Python Maint <python-maint@redhat.com> - 2.22.1-2
- Rebuilt for Python 3.12

* Mon Apr 17 2023 Lumír Balhar <lbalhar@redhat.com> - 2.22.1-1
- Update to 2.22.1 (rhbz#2186615)

* Mon Apr 03 2023 Lumír Balhar <lbalhar@redhat.com> - 2.22.0-1
- Update to 2.22.0 (rhbz#2183505)

* Thu Mar 23 2023 Lumír Balhar <lbalhar@redhat.com> - 2.21.0-1
- Update to 2.21.0 (rhbz#2181044)

* Mon Mar 06 2023 Lumír Balhar <lbalhar@redhat.com> - 2.20.0-1
- Update to 2.20.0 (rhbz#2175863)

* Wed Jan 25 2023 Lumír Balhar <lbalhar@redhat.com> - 2.19.0-2
- Add extras subpackage [test]

* Thu Jan 19 2023 Lumír Balhar <lbalhar@redhat.com> - 2.19.0-1
- Update to 2.19.0 (rhbz#2161301)

* Tue Jan 10 2023 Lumír Balhar <lbalhar@redhat.com> - 2.18.0-1
- Update to 2.18.0 (rhbz#2157908)

* Mon Jan 02 2023 Lumír Balhar <lbalhar@redhat.com> - 2.17.0-1
- Update to 2.17.0 (rhbz#2156011)

* Sun Dec 04 2022 Lumír Balhar <lbalhar@redhat.com> - 2.16.3-1
- Initial package

## END: Generated by rpmautospec
